﻿using System;
using System.Data;
using System.Data.Sql;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Configuration;
using System.Threading;
using System.IO;

namespace MyListen
{
    class Program
    {
        static void Main(string[] args)
        {
            string connSync = ConfigurationManager.ConnectionStrings["connSync"].ToString();
            string filePath = ConfigurationManager.AppSettings["filePath"];
            while (true)
            {
                //所有txt文件
                string[] fileList = DirFile.GetFileNames(filePath, "*.txt", true);
                foreach (var f in fileList)
                {
                    string strSql = "";
                    using (StreamReader sr = new StreamReader(f))
                    {
                        string line;
                        while ((line = sr.ReadLine()) != null)
                        {
                            strSql += line + " ";
                        }
                        sr.Close();
                    }
                    try
                    {
                        using (SqlConnection connection = new SqlConnection(connSync))
                        {
                            connection.Open();
                            SqlCommand command = new SqlCommand(strSql, connection);
                            command.CommandType = CommandType.Text;
                            command.ExecuteNonQuery();
                            connection.Close();
                        }
                    }
                    catch (Exception ex)
                    {
                        Console.WriteLine(ex.ToString());
                    }
                    File.Delete(f);
                }
                //每10秒扫描一次
                Thread.Sleep(5 * 1000);
            }
        }
    }
}
